Name:           pasystray
Version:        0.6.0
Release:        1%{?dist}
Summary:        PulseAudio system tray
License:        LGPLv2+
URL:            https://github.com/christophgysin/pasystray

Source0:        https://github.com/christophgysin/pasystray/archive/%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils

%description
A replacement for the deprecated padevchooser.
pasystray allows setting the default PulseAudio source/sink and moving streams
on the fly between sources/sinks without restarting the client applications.

%prep
%setup -q

%build
autoreconf -i
%configure
make %{?_smp_mflags}

%install
%make_install

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%license LICENSE
%doc README.md

%changelog
* Sun Jul 17 2016 Michael Simacek <msimacek@redhat.com> - 0.6.0-1
- Update to upstream version 0.6.0

* Sun Jun 19 2016 Michael Simacek <msimacek@redhat.com> - 0.5.2-1
- Initial packaging
